Subject: Re: [PATCH v4 00/11] Bundle URIs IV: advertise over protocol v2

From: Junio C Hamano <[email-masked]>
Date: Sun, 25 Dec 2022 20:35:59 +0900

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> This version includes squashed-in versions of the fixups that were
> previously known as ds/bundle-uri-4-fixup.
>
>  * Some unused parameters are now marked with UNUSED, since we are
>    introducing those parameters for the first time. In one case an unused
>    parameter should have been used in repo_config_...() instead of
>    git_config_...().
>  * The GIT_TEST_BUNDLE_URI environment variable is removed in favor of the
>    transfer.bundleURI config option in all cases.
>  * A stale commit message is fixed to no longer refer to a rename that was
>    split into a different commit as part of v3.
>  * The documentation comment for fetch_bundle_list() explicitly defines a
>    non-zero return value as an error.

I guess that sprinkling the fixes from "4-fixup" series into the
original commits will resolve many comments by Ævar about the
logical ordering of changes in the "fixup" series, mostly by making
them all moot points?  Thanks for working on this, and let's start
merging it down to 'next'.